# Persephone

**An agent-based, socio-economic-ecological model of agricultural landscapes
in Europe under the CAP.**

## Description

Persephone models farmers' decision making and its impact on species in agricultural
landscapes. The aim is to investigate how policies such as the CAP influence farms and
biodiversity.

It is currently in the very early stages of development.

## Usage

Install the latest version of the [Julia](https://julialang.org/downloads/) programming 
language. The recommended editors are [VSCode](https://www.julia-vscode.org/) or
[Emacs](https://www.emacswiki.org/emacs/JuliaProgrammingLanguage).
Then, open a Julia commandline and install the 
[Agents.jl](https://juliadynamics.github.io/Agents.jl/stable/) framework using
`using Pkg; Pkg.add("Agents")`.

Run the simulation by executing `run.jl` from the commandline, or loading it from
within a Julia REPL with `include("run.jl")`.

---

&copy; 2022 Daniel Vedder, Lea Kolb
MIT license
